
COMPILER = {
    'compile': 'pathCC -Ofast -march=barcelona',
    'debug'  : 'pathCC -g -march=barcelona',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'pathCC -Ofast -march=barcelona -I/opt/scali/include64',
    'debug'  : 'pathCC -g -march=barcelona -I/opt/scali/include64',
    'libs'   : '-L/opt/scali/lib64 -lmpi'
}

MPI_RUN = 'mpirun %(cmd)s'

JOB_SCRIPT = '''#!/bin/sh
#SBATCH --account=nn9116k
#SBATCH --ntasks=%(nprocs)d
#SBATCH --time=24:0:0
#SBATCH --constraint=amd
source /site/bin/jobsetup
module load scampi
time %(cmd)s
'''

JOB_SUBMIT = 'sbatch %s'
